local ldb = LibStub:GetLibrary("LibDataBroker-1.1")

local core = Critline
local display = core.display
local settings = core.settings.basic


local dmg = ldb:NewDataObject("Critline damage", {
	type = "data source",
	icon = display.dmgIcon,
	OnClick = function()
		InterfaceOptionsFrame_OpenToCategory(settings)
	end,
	OnTooltipShow = function()
		display:AddTooltipText(core:GetSummaryRichText("dmg"))
	end
})

local heal = ldb:NewDataObject("Critline healing", {
	type = "data source",
	icon = display.healIcon,
	OnClick = function()
		InterfaceOptionsFrame_OpenToCategory(settings)
	end,
	OnTooltipShow = function()
		display:AddTooltipText(core:GetSummaryRichText("heal"))
	end
})

local pet = ldb:NewDataObject("Critline pet", {
	type = "data source",
	icon = display.petIcon,
	OnClick = function()
		InterfaceOptionsFrame_OpenToCategory(settings)
	end,
	OnTooltipShow = function()
		display:AddTooltipText(core:GetSummaryRichText("pet"))
	end
})

core:OnUpdateRegister(function()
	dmg.text = NORMAL_FONT_COLOR_CODE.."D: "..FONT_COLOR_CODE_CLOSE..core:GetHighest("dmg", "normal").."/"..core:GetHighest("dmg", "crit")
	heal.text = NORMAL_FONT_COLOR_CODE.."H: "..FONT_COLOR_CODE_CLOSE..core:GetHighest("heal", "normal").."/"..core:GetHighest("heal", "crit")
	pet.text = NORMAL_FONT_COLOR_CODE.."P: "..FONT_COLOR_CODE_CLOSE..core:GetHighest("pet", "normal").."/"..core:GetHighest("pet", "crit")
end)